// ----------------------------------------------------------------------- //
//
// MODULE  : LOFWeaponPowerups.h
//
// PURPOSE : LOF weapon powerups implementation
//
// CREATED : 30/11/98 by Ewen Vowels for Anarchy-Arts
//
// ----------------------------------------------------------------------- //

#ifndef __LOF_WEAPON_POWERUPS_H__
#define __LOF_WEAPON_POWERUPS_H__

#include "Powerup.h"
#include "Bouncer.h"
#include "ModelFuncs.h"
#include "WeaponPowerups.h"

class AmbedRASGPowerup : public WeaponPowerup
{
	public :
		AmbedRASGPowerup();
};

class AmbedHWARPowerup : public WeaponPowerup
{
	public :
		AmbedHWARPowerup();
};

class AmbedMORTPowerup : public WeaponPowerup
{
	public :
		AmbedMORTPowerup();
};
/*
class AmbedDSGPowerup : public WeaponPowerup
{
	public :
		AmbedDSGPowerup();
};
*/
class AmbedShochiPowerup : public WeaponPowerup
{
	public :
		AmbedShochiPowerup();
};

class AmbedEMSPowerup : public WeaponPowerup
{
	public :
		AmbedEMSPowerup();
};

class AmbedAgumaPowerup : public WeaponPowerup
{
	public :
		AmbedAgumaPowerup();
};

class AmbedDrillPowerup : public WeaponPowerup
{
	public :
		AmbedDrillPowerup();
};

class AmbedProximityMinePowerup : public WeaponPowerup
{
	public :
		AmbedProximityMinePowerup();
};

class AmbedMinigunPowerup : public WeaponPowerup
{
	public :
		AmbedMinigunPowerup();
};
#endif //  __LOF_WEAPON_POWERUPS_H__